"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const MachineLearningClient_1 = require("./MachineLearningClient");
const AddTagsCommand_1 = require("./commands/AddTagsCommand");
const CreateBatchPredictionCommand_1 = require("./commands/CreateBatchPredictionCommand");
const CreateDataSourceFromRDSCommand_1 = require("./commands/CreateDataSourceFromRDSCommand");
const CreateDataSourceFromRedshiftCommand_1 = require("./commands/CreateDataSourceFromRedshiftCommand");
const CreateDataSourceFromS3Command_1 = require("./commands/CreateDataSourceFromS3Command");
const CreateEvaluationCommand_1 = require("./commands/CreateEvaluationCommand");
const CreateMLModelCommand_1 = require("./commands/CreateMLModelCommand");
const CreateRealtimeEndpointCommand_1 = require("./commands/CreateRealtimeEndpointCommand");
const DeleteBatchPredictionCommand_1 = require("./commands/DeleteBatchPredictionCommand");
const DeleteDataSourceCommand_1 = require("./commands/DeleteDataSourceCommand");
const DeleteEvaluationCommand_1 = require("./commands/DeleteEvaluationCommand");
const DeleteMLModelCommand_1 = require("./commands/DeleteMLModelCommand");
const DeleteRealtimeEndpointCommand_1 = require("./commands/DeleteRealtimeEndpointCommand");
const DeleteTagsCommand_1 = require("./commands/DeleteTagsCommand");
const DescribeBatchPredictionsCommand_1 = require("./commands/DescribeBatchPredictionsCommand");
const DescribeDataSourcesCommand_1 = require("./commands/DescribeDataSourcesCommand");
const DescribeEvaluationsCommand_1 = require("./commands/DescribeEvaluationsCommand");
const DescribeMLModelsCommand_1 = require("./commands/DescribeMLModelsCommand");
const DescribeTagsCommand_1 = require("./commands/DescribeTagsCommand");
const GetBatchPredictionCommand_1 = require("./commands/GetBatchPredictionCommand");
const GetDataSourceCommand_1 = require("./commands/GetDataSourceCommand");
const GetEvaluationCommand_1 = require("./commands/GetEvaluationCommand");
const GetMLModelCommand_1 = require("./commands/GetMLModelCommand");
const PredictCommand_1 = require("./commands/PredictCommand");
const UpdateBatchPredictionCommand_1 = require("./commands/UpdateBatchPredictionCommand");
const UpdateDataSourceCommand_1 = require("./commands/UpdateDataSourceCommand");
const UpdateEvaluationCommand_1 = require("./commands/UpdateEvaluationCommand");
const UpdateMLModelCommand_1 = require("./commands/UpdateMLModelCommand");
class MachineLearning extends MachineLearningClient_1.MachineLearningClient {
    addTags(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new AddTagsCommand_1.AddTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createBatchPrediction(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateBatchPredictionCommand_1.CreateBatchPredictionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createDataSourceFromRDS(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateDataSourceFromRDSCommand_1.CreateDataSourceFromRDSCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createDataSourceFromRedshift(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateDataSourceFromRedshiftCommand_1.CreateDataSourceFromRedshiftCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createDataSourceFromS3(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateDataSourceFromS3Command_1.CreateDataSourceFromS3Command(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createEvaluation(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateEvaluationCommand_1.CreateEvaluationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createMLModel(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateMLModelCommand_1.CreateMLModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createRealtimeEndpoint(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateRealtimeEndpointCommand_1.CreateRealtimeEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteBatchPrediction(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteBatchPredictionCommand_1.DeleteBatchPredictionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteDataSource(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteDataSourceCommand_1.DeleteDataSourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteEvaluation(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteEvaluationCommand_1.DeleteEvaluationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteMLModel(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteMLModelCommand_1.DeleteMLModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteRealtimeEndpoint(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteRealtimeEndpointCommand_1.DeleteRealtimeEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteTags(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteTagsCommand_1.DeleteTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeBatchPredictions(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeBatchPredictionsCommand_1.DescribeBatchPredictionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeDataSources(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeDataSourcesCommand_1.DescribeDataSourcesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeEvaluations(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeEvaluationsCommand_1.DescribeEvaluationsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeMLModels(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeMLModelsCommand_1.DescribeMLModelsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeTags(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeTagsCommand_1.DescribeTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getBatchPrediction(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetBatchPredictionCommand_1.GetBatchPredictionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getDataSource(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetDataSourceCommand_1.GetDataSourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getEvaluation(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetEvaluationCommand_1.GetEvaluationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getMLModel(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetMLModelCommand_1.GetMLModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    predict(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new PredictCommand_1.PredictCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateBatchPrediction(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateBatchPredictionCommand_1.UpdateBatchPredictionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateDataSource(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateDataSourceCommand_1.UpdateDataSourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateEvaluation(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateEvaluationCommand_1.UpdateEvaluationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateMLModel(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateMLModelCommand_1.UpdateMLModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
}
exports.MachineLearning = MachineLearning;
//# sourceMappingURL=MachineLearning.js.map