/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateBatchPredictionInput } from "../types/CreateBatchPredictionInput";
import { CreateBatchPredictionOutput } from "../types/CreateBatchPredictionOutput";
import { MachineLearningResolvedConfiguration } from "../MachineLearningConfiguration";
export * from "../types/CreateBatchPredictionInput";
export * from "../types/CreateBatchPredictionOutput";
export * from "../types/CreateBatchPredictionExceptionsUnion";
export declare class CreateBatchPredictionCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateBatchPredictionInput, OutputTypesUnion, CreateBatchPredictionOutput, MachineLearningResolvedConfiguration, _stream.Readable> {
    readonly input: CreateBatchPredictionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateBatchPredictionInput, CreateBatchPredictionOutput, _stream.Readable>;
    constructor(input: CreateBatchPredictionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MachineLearningResolvedConfiguration): __aws_sdk_types.Handler<CreateBatchPredictionInput, CreateBatchPredictionOutput>;
}
