"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateBatchPrediction_1 = require("../model/operations/CreateBatchPrediction");
class CreateBatchPredictionCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateBatchPrediction_1.CreateBatchPrediction;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateBatchPredictionCommand = CreateBatchPredictionCommand;
//# sourceMappingURL=CreateBatchPredictionCommand.js.map