"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateDataSourceFromS3_1 = require("../model/operations/CreateDataSourceFromS3");
class CreateDataSourceFromS3Command {
    constructor(input) {
        this.input = input;
        this.model = CreateDataSourceFromS3_1.CreateDataSourceFromS3;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateDataSourceFromS3Command = CreateDataSourceFromS3Command;
//# sourceMappingURL=CreateDataSourceFromS3Command.js.map