"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateEvaluation_1 = require("../model/operations/CreateEvaluation");
class CreateEvaluationCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateEvaluation_1.CreateEvaluation;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateEvaluationCommand = CreateEvaluationCommand;
//# sourceMappingURL=CreateEvaluationCommand.js.map