/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateMLModelInput } from "../types/CreateMLModelInput";
import { CreateMLModelOutput } from "../types/CreateMLModelOutput";
import { MachineLearningResolvedConfiguration } from "../MachineLearningConfiguration";
export * from "../types/CreateMLModelInput";
export * from "../types/CreateMLModelOutput";
export * from "../types/CreateMLModelExceptionsUnion";
export declare class CreateMLModelCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateMLModelInput, OutputTypesUnion, CreateMLModelOutput, MachineLearningResolvedConfiguration, _stream.Readable> {
    readonly input: CreateMLModelInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateMLModelInput, CreateMLModelOutput, _stream.Readable>;
    constructor(input: CreateMLModelInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MachineLearningResolvedConfiguration): __aws_sdk_types.Handler<CreateMLModelInput, CreateMLModelOutput>;
}
