"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateMLModel_1 = require("../model/operations/CreateMLModel");
class CreateMLModelCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateMLModel_1.CreateMLModel;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateMLModelCommand = CreateMLModelCommand;
//# sourceMappingURL=CreateMLModelCommand.js.map