/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateRealtimeEndpointInput } from "../types/CreateRealtimeEndpointInput";
import { CreateRealtimeEndpointOutput } from "../types/CreateRealtimeEndpointOutput";
import { MachineLearningResolvedConfiguration } from "../MachineLearningConfiguration";
export * from "../types/CreateRealtimeEndpointInput";
export * from "../types/CreateRealtimeEndpointOutput";
export * from "../types/CreateRealtimeEndpointExceptionsUnion";
export declare class CreateRealtimeEndpointCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateRealtimeEndpointInput, OutputTypesUnion, CreateRealtimeEndpointOutput, MachineLearningResolvedConfiguration, _stream.Readable> {
    readonly input: CreateRealtimeEndpointInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateRealtimeEndpointInput, CreateRealtimeEndpointOutput, _stream.Readable>;
    constructor(input: CreateRealtimeEndpointInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MachineLearningResolvedConfiguration): __aws_sdk_types.Handler<CreateRealtimeEndpointInput, CreateRealtimeEndpointOutput>;
}
