"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateRealtimeEndpoint_1 = require("../model/operations/CreateRealtimeEndpoint");
class CreateRealtimeEndpointCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateRealtimeEndpoint_1.CreateRealtimeEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateRealtimeEndpointCommand = CreateRealtimeEndpointCommand;
//# sourceMappingURL=CreateRealtimeEndpointCommand.js.map