/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteBatchPredictionInput } from "../types/DeleteBatchPredictionInput";
import { DeleteBatchPredictionOutput } from "../types/DeleteBatchPredictionOutput";
import { MachineLearningResolvedConfiguration } from "../MachineLearningConfiguration";
export * from "../types/DeleteBatchPredictionInput";
export * from "../types/DeleteBatchPredictionOutput";
export * from "../types/DeleteBatchPredictionExceptionsUnion";
export declare class DeleteBatchPredictionCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteBatchPredictionInput, OutputTypesUnion, DeleteBatchPredictionOutput, MachineLearningResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteBatchPredictionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteBatchPredictionInput, DeleteBatchPredictionOutput, _stream.Readable>;
    constructor(input: DeleteBatchPredictionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MachineLearningResolvedConfiguration): __aws_sdk_types.Handler<DeleteBatchPredictionInput, DeleteBatchPredictionOutput>;
}
