"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteBatchPrediction_1 = require("../model/operations/DeleteBatchPrediction");
class DeleteBatchPredictionCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteBatchPrediction_1.DeleteBatchPrediction;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteBatchPredictionCommand = DeleteBatchPredictionCommand;
//# sourceMappingURL=DeleteBatchPredictionCommand.js.map