"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteEvaluation_1 = require("../model/operations/DeleteEvaluation");
class DeleteEvaluationCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteEvaluation_1.DeleteEvaluation;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteEvaluationCommand = DeleteEvaluationCommand;
//# sourceMappingURL=DeleteEvaluationCommand.js.map