/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteMLModelInput } from "../types/DeleteMLModelInput";
import { DeleteMLModelOutput } from "../types/DeleteMLModelOutput";
import { MachineLearningResolvedConfiguration } from "../MachineLearningConfiguration";
export * from "../types/DeleteMLModelInput";
export * from "../types/DeleteMLModelOutput";
export * from "../types/DeleteMLModelExceptionsUnion";
export declare class DeleteMLModelCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteMLModelInput, OutputTypesUnion, DeleteMLModelOutput, MachineLearningResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteMLModelInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteMLModelInput, DeleteMLModelOutput, _stream.Readable>;
    constructor(input: DeleteMLModelInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MachineLearningResolvedConfiguration): __aws_sdk_types.Handler<DeleteMLModelInput, DeleteMLModelOutput>;
}
