"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteMLModel_1 = require("../model/operations/DeleteMLModel");
class DeleteMLModelCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteMLModel_1.DeleteMLModel;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteMLModelCommand = DeleteMLModelCommand;
//# sourceMappingURL=DeleteMLModelCommand.js.map