"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteRealtimeEndpoint_1 = require("../model/operations/DeleteRealtimeEndpoint");
class DeleteRealtimeEndpointCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteRealtimeEndpoint_1.DeleteRealtimeEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteRealtimeEndpointCommand = DeleteRealtimeEndpointCommand;
//# sourceMappingURL=DeleteRealtimeEndpointCommand.js.map