"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeBatchPredictions_1 = require("../model/operations/DescribeBatchPredictions");
class DescribeBatchPredictionsCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeBatchPredictions_1.DescribeBatchPredictions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeBatchPredictionsCommand = DescribeBatchPredictionsCommand;
//# sourceMappingURL=DescribeBatchPredictionsCommand.js.map