"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeDataSources_1 = require("../model/operations/DescribeDataSources");
class DescribeDataSourcesCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeDataSources_1.DescribeDataSources;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeDataSourcesCommand = DescribeDataSourcesCommand;
//# sourceMappingURL=DescribeDataSourcesCommand.js.map