/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeEvaluationsInput } from "../types/DescribeEvaluationsInput";
import { DescribeEvaluationsOutput } from "../types/DescribeEvaluationsOutput";
import { MachineLearningResolvedConfiguration } from "../MachineLearningConfiguration";
export * from "../types/DescribeEvaluationsInput";
export * from "../types/DescribeEvaluationsOutput";
export * from "../types/DescribeEvaluationsExceptionsUnion";
export declare class DescribeEvaluationsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeEvaluationsInput, OutputTypesUnion, DescribeEvaluationsOutput, MachineLearningResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeEvaluationsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeEvaluationsInput, DescribeEvaluationsOutput, _stream.Readable>;
    constructor(input: DescribeEvaluationsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MachineLearningResolvedConfiguration): __aws_sdk_types.Handler<DescribeEvaluationsInput, DescribeEvaluationsOutput>;
}
