"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeEvaluations_1 = require("../model/operations/DescribeEvaluations");
class DescribeEvaluationsCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeEvaluations_1.DescribeEvaluations;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeEvaluationsCommand = DescribeEvaluationsCommand;
//# sourceMappingURL=DescribeEvaluationsCommand.js.map