"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeMLModels_1 = require("../model/operations/DescribeMLModels");
class DescribeMLModelsCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeMLModels_1.DescribeMLModels;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeMLModelsCommand = DescribeMLModelsCommand;
//# sourceMappingURL=DescribeMLModelsCommand.js.map