/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetDataSourceInput } from "../types/GetDataSourceInput";
import { GetDataSourceOutput } from "../types/GetDataSourceOutput";
import { MachineLearningResolvedConfiguration } from "../MachineLearningConfiguration";
export * from "../types/GetDataSourceInput";
export * from "../types/GetDataSourceOutput";
export * from "../types/GetDataSourceExceptionsUnion";
export declare class GetDataSourceCommand implements __aws_sdk_types.Command<InputTypesUnion, GetDataSourceInput, OutputTypesUnion, GetDataSourceOutput, MachineLearningResolvedConfiguration, _stream.Readable> {
    readonly input: GetDataSourceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetDataSourceInput, GetDataSourceOutput, _stream.Readable>;
    constructor(input: GetDataSourceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MachineLearningResolvedConfiguration): __aws_sdk_types.Handler<GetDataSourceInput, GetDataSourceOutput>;
}
