"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetDataSource_1 = require("../model/operations/GetDataSource");
class GetDataSourceCommand {
    constructor(input) {
        this.input = input;
        this.model = GetDataSource_1.GetDataSource;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetDataSourceCommand = GetDataSourceCommand;
//# sourceMappingURL=GetDataSourceCommand.js.map