"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateBatchPrediction_1 = require("../model/operations/UpdateBatchPrediction");
class UpdateBatchPredictionCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateBatchPrediction_1.UpdateBatchPrediction;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateBatchPredictionCommand = UpdateBatchPredictionCommand;
//# sourceMappingURL=UpdateBatchPredictionCommand.js.map