/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateEvaluationInput } from "../types/UpdateEvaluationInput";
import { UpdateEvaluationOutput } from "../types/UpdateEvaluationOutput";
import { MachineLearningResolvedConfiguration } from "../MachineLearningConfiguration";
export * from "../types/UpdateEvaluationInput";
export * from "../types/UpdateEvaluationOutput";
export * from "../types/UpdateEvaluationExceptionsUnion";
export declare class UpdateEvaluationCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateEvaluationInput, OutputTypesUnion, UpdateEvaluationOutput, MachineLearningResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateEvaluationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateEvaluationInput, UpdateEvaluationOutput, _stream.Readable>;
    constructor(input: UpdateEvaluationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MachineLearningResolvedConfiguration): __aws_sdk_types.Handler<UpdateEvaluationInput, UpdateEvaluationOutput>;
}
