/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateMLModelInput } from "../types/UpdateMLModelInput";
import { UpdateMLModelOutput } from "../types/UpdateMLModelOutput";
import { MachineLearningResolvedConfiguration } from "../MachineLearningConfiguration";
export * from "../types/UpdateMLModelInput";
export * from "../types/UpdateMLModelOutput";
export * from "../types/UpdateMLModelExceptionsUnion";
export declare class UpdateMLModelCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateMLModelInput, OutputTypesUnion, UpdateMLModelOutput, MachineLearningResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateMLModelInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateMLModelInput, UpdateMLModelOutput, _stream.Readable>;
    constructor(input: UpdateMLModelInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MachineLearningResolvedConfiguration): __aws_sdk_types.Handler<UpdateMLModelInput, UpdateMLModelOutput>;
}
