"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateMLModel_1 = require("../model/operations/UpdateMLModel");
class UpdateMLModelCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateMLModel_1.UpdateMLModel;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateMLModelCommand = UpdateMLModelCommand;
//# sourceMappingURL=UpdateMLModelCommand.js.map