"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateBatchPredictionInput_1 = require("../shapes/CreateBatchPredictionInput");
const CreateBatchPredictionOutput_1 = require("../shapes/CreateBatchPredictionOutput");
const InvalidInputException_1 = require("../shapes/InvalidInputException");
const InternalServerException_1 = require("../shapes/InternalServerException");
const IdempotentParameterMismatchException_1 = require("../shapes/IdempotentParameterMismatchException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateBatchPrediction = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateBatchPrediction",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateBatchPredictionInput_1.CreateBatchPredictionInput
    },
    output: {
        shape: CreateBatchPredictionOutput_1.CreateBatchPredictionOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: InternalServerException_1.InternalServerException
        },
        {
            shape: IdempotentParameterMismatchException_1.IdempotentParameterMismatchException
        }
    ]
};
//# sourceMappingURL=CreateBatchPrediction.js.map