"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const PredictInput_1 = require("../shapes/PredictInput");
const PredictOutput_1 = require("../shapes/PredictOutput");
const InvalidInputException_1 = require("../shapes/InvalidInputException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const LimitExceededException_1 = require("../shapes/LimitExceededException");
const InternalServerException_1 = require("../shapes/InternalServerException");
const PredictorNotMountedException_1 = require("../shapes/PredictorNotMountedException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.Predict = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "Predict",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PredictInput_1.PredictInput
    },
    output: {
        shape: PredictOutput_1.PredictOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: InternalServerException_1.InternalServerException
        },
        {
            shape: PredictorNotMountedException_1.PredictorNotMountedException
        }
    ]
};
//# sourceMappingURL=Predict.js.map