"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _RealtimeEndpointInfo_1 = require("./_RealtimeEndpointInfo");
const _TrainingParameters_1 = require("./_TrainingParameters");
exports.GetMLModelOutput = {
    type: "structure",
    required: [],
    members: {
        MLModelId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        TrainingDataSourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        CreatedByIamUser: {
            shape: {
                type: "string"
            }
        },
        CreatedAt: {
            shape: {
                type: "timestamp"
            }
        },
        LastUpdatedAt: {
            shape: {
                type: "timestamp"
            }
        },
        Name: {
            shape: {
                type: "string"
            }
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        SizeInBytes: {
            shape: {
                type: "integer"
            }
        },
        EndpointInfo: {
            shape: _RealtimeEndpointInfo_1._RealtimeEndpointInfo
        },
        TrainingParameters: {
            shape: _TrainingParameters_1._TrainingParameters
        },
        InputDataLocationS3: {
            shape: {
                type: "string"
            }
        },
        MLModelType: {
            shape: {
                type: "string"
            }
        },
        ScoreThreshold: {
            shape: {
                type: "float"
            }
        },
        ScoreThresholdLastUpdatedAt: {
            shape: {
                type: "timestamp"
            }
        },
        LogUri: {
            shape: {
                type: "string"
            }
        },
        Message: {
            shape: {
                type: "string"
            }
        },
        ComputeTime: {
            shape: {
                type: "integer"
            }
        },
        FinishedAt: {
            shape: {
                type: "timestamp"
            }
        },
        StartedAt: {
            shape: {
                type: "timestamp"
            }
        },
        Recipe: {
            shape: {
                type: "string"
            }
        },
        Schema: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=GetMLModelOutput.js.map