"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _RedshiftMetadata_1 = require("./_RedshiftMetadata");
const _RDSMetadata_1 = require("./_RDSMetadata");
exports._DataSource = {
    type: "structure",
    required: [],
    members: {
        DataSourceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        DataLocationS3: {
            shape: {
                type: "string"
            }
        },
        DataRearrangement: {
            shape: {
                type: "string"
            }
        },
        CreatedByIamUser: {
            shape: {
                type: "string"
            }
        },
        CreatedAt: {
            shape: {
                type: "timestamp"
            }
        },
        LastUpdatedAt: {
            shape: {
                type: "timestamp"
            }
        },
        DataSizeInBytes: {
            shape: {
                type: "integer"
            }
        },
        NumberOfFiles: {
            shape: {
                type: "integer"
            }
        },
        Name: {
            shape: {
                type: "string"
            }
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        Message: {
            shape: {
                type: "string"
            }
        },
        RedshiftMetadata: {
            shape: _RedshiftMetadata_1._RedshiftMetadata
        },
        RDSMetadata: {
            shape: _RDSMetadata_1._RDSMetadata
        },
        RoleARN: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ComputeStatistics: {
            shape: {
                type: "boolean"
            }
        },
        ComputeTime: {
            shape: {
                type: "integer"
            }
        },
        FinishedAt: {
            shape: {
                type: "timestamp"
            }
        },
        StartedAt: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=_DataSource.js.map